package es.uv.saic.dto;

import es.uv.saic.domain.Acreditacio;
import es.uv.saic.domain.Usuari;
import es.uv.saic.domain.UsuarisRol;

public class UsuarisRolDTO {
    private OrganDTO organ;
    private Acreditacio acreditacio;
    private RolDTO rol;
    private UsuariDTO usuari;

    public UsuarisRolDTO(OrganDTO organ, Acreditacio acreditacio, RolDTO rol, UsuariDTO usuari) {
        this.organ = organ;
        this.acreditacio = acreditacio;
        this.rol = rol;
        this.usuari = usuari;
    }

    public UsuarisRolDTO(UsuarisRol usuarisRol) {
        this.organ = new OrganDTO(usuarisRol.getOrgan());
        this.acreditacio = usuarisRol.getOrgan().getAcreditacio();
        this.rol = new RolDTO(usuarisRol.getRol());
        this.usuari = new UsuariDTO(usuarisRol.getUsuari());
    }

    public OrganDTO getOrgan() {
        return organ;
    }
    public void setOrgan(OrganDTO organ) {
        this.organ = organ;
    }
    public Acreditacio getAcreditacio() {
        return acreditacio;
    }
    public void setAcreditacio(Acreditacio acreditacio) {
        this.acreditacio = acreditacio;
    }
    public RolDTO getRol() {
        return rol;
    }
    public void setRol(RolDTO rol) {
        this.rol = rol;
    }
    public UsuariDTO getUsuari() {
        return usuari;
    }
    public void setUsuari(UsuariDTO usuari) {
        this.usuari = usuari;
    }

    
}
